/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization;

import com.topcoder.network.synchronization.protocol.DistributedSynchronizationProtocol;

/**
 * A factory of DistributedSynchronizationProtocol provides methods to allow the application to select 
 * a data synchronization protocol at run-time.
 * 
 * Any protocol concrete class created by the factory should provides constructor without parameters. 
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class DistributedProtocolFactory {
    
    /**
     * Create the protocol with specified class name. 
     * 
     * @param className
     * @return
     */
    public static DistributedSynchronizationProtocol createProtocol(String className) {
        return null;
    }
    
    public static DistributedSynchronizationProtocol createDefaultProtocol() {
        return null;
    }
}
