/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl.listener;

import com.topcoder.network.synchronization.bean.Message;
import com.topcoder.network.synchronization.protocol.MessageListener;
import com.topcoder.network.synchronization.defaultimpl.*;

/**
 * This listener puts the APPLICATION_MESSAGEs to the application message queue.
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class ApplicationMessageListener extends MessageListener {
    
    /**
     * Represents the message queue.
     */
    private MessageQueue queue = null;

    /**
     * Constructor.
     * 
     * @param queue the message queue to store the APPLICATION_MESSAGEs
     */
    public ApplicationMessageListener(MessageQueue queue) {
        
    }
    
    /**
     * This listener puts the APPLICATION_MESSAGEs to the application message queue.
     * 
     * 1. if the message is APPLICATION_MESSAGE, JOINGROUP_MESSAGE or LEAVEGROUP_MESSAGE, push this message into the queue.
     * 2. otherwise, pass it to the next listener if available 
     */ 
    public void dealMessage(Message message) {
        

    }    
}
